-- phpMyAdmin SQL Dump
-- version 4.6.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jul 02, 2018 at 07:18 PM
-- Server version: 5.7.14
-- PHP Version: 5.6.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `apnacomplex`
--

-- --------------------------------------------------------

--
-- Table structure for table `apartments`
--

CREATE TABLE `apartments` (
  `id` int(11) NOT NULL,
  `apartment_name` varchar(256) DEFAULT NULL,
  `address` text,
  `locality` varchar(256) DEFAULT NULL,
  `city` varchar(56) DEFAULT NULL,
  `state` varchar(56) DEFAULT NULL,
  `descriptions` text,
  `construction_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=Completed, 2= In progress, 3= Yet to start',
  `latitude` varchar(56) DEFAULT NULL,
  `longitude` varchar(56) DEFAULT NULL,
  `apartment_type` tinyint(1) DEFAULT NULL COMMENT '1=Plots and Independent Houses, 2=Row Houses, 3=Apartments and Row Houses,4=Apartments and Villas,5=Villas,6=Apartments, 7=Commercial Complex,8=Villaments, 9=Villaments,10=Luxury Apartments,11=Luxury Villas',
  `apartment_picture` varchar(156) DEFAULT NULL,
  `apartment_logo` varchar(156) DEFAULT NULL,
  `status` tinyint(1) NOT NULL COMMENT '1=Active, 0=Inactive',
  `creaded_on` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `apartments`
--

INSERT INTO `apartments` (`id`, `apartment_name`, `address`, `locality`, `city`, `state`, `descriptions`, `construction_status`, `latitude`, `longitude`, `apartment_type`, `apartment_picture`, `apartment_logo`, `status`, `creaded_on`) VALUES
(1, 'Max Royal', 'Noida', NULL, 'Noida', NULL, NULL, 1, NULL, NULL, NULL, '1529402794.jpg', '', 1, '2018-06-19 10:06:34');

-- --------------------------------------------------------

--
-- Table structure for table `blocks`
--

CREATE TABLE `blocks` (
  `id` int(11) NOT NULL,
  `apartment_id` int(11) NOT NULL,
  `block_name` varchar(56) NOT NULL,
  `status` tinyint(1) NOT NULL COMMENT '1=Active, 0=Inactive'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `blocks`
--

INSERT INTO `blocks` (`id`, `apartment_id`, `block_name`, `status`) VALUES
(1, 1, 'A', 1),
(2, 1, 'B', 1),
(3, 1, 'C', 1),
(4, 1, 'D', 1),
(5, 1, 'E', 1),
(6, 1, 'F', 1),
(7, 1, 'G', 1),
(8, 1, 'H', 1),
(9, 1, 'I', 1);

-- --------------------------------------------------------

--
-- Table structure for table `complaint_box`
--

CREATE TABLE `complaint_box` (
  `id` int(11) NOT NULL,
  `apartment_id` int(11) NOT NULL,
  `from_user_id` int(11) DEFAULT NULL,
  `assign_to` varchar(56) DEFAULT NULL,
  `to_user_id` int(11) DEFAULT NULL,
  `to_maintenance_user` int(11) DEFAULT NULL,
  `complaint_nature` varchar(56) NOT NULL COMMENT 'Complaint, Suggestion, Request',
  `complaint_type` varchar(56) NOT NULL COMMENT 'Personal, Community',
  `complaint_category` varchar(256) NOT NULL,
  `descriptions` text NOT NULL,
  `attachment` varchar(256) NOT NULL,
  `is_urgent` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1=Yes,0=No',
  `current_status` varchar(56) DEFAULT NULL COMMENT 'Open,In progress,On hold,Cancelled,Closed',
  `created_on` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `complaint_box`
--

INSERT INTO `complaint_box` (`id`, `apartment_id`, `from_user_id`, `assign_to`, `to_user_id`, `to_maintenance_user`, `complaint_nature`, `complaint_type`, `complaint_category`, `descriptions`, `attachment`, `is_urgent`, `current_status`, `created_on`) VALUES
(1, 1, 1, 'admin', 9, NULL, 'Complaint', 'Community', '6', 'Lorem ipsum dolor sit amet, vel metus quis morbi mi maecenas nonummy, euismod dignissim vestibulum pretium est convallis, lacinia morbi et rutrum aliquam, sodales fringilla purus sed ac vestibulum. Semper risus sed nulla elementum, dolor quam eligendi, est blandit arcu egestas gravida, metus et a adipiscing, tempus senectus. Tristique nulla libero urna amet fringilla tortor.', '1529408675.jpg', 1, 'Open', '2018-06-19 11:44:35'),
(2, 1, 1, 'admin', 9, NULL, 'Complaint', 'Community', '6', 'Lorem ipsum dolor sit amet, vel metus quis morbi mi maecenas nonummy, euismod dignissim vestibulum pretium est convallis, lacinia morbi et rutrum aliquam, sodales fringilla purus sed ac vestibulum. Semper risus sed nulla elementum, dolor quam eligendi, est blandit arcu egestas gravida, metus et a adipiscing, tempus senectus. Tristique nulla libero urna amet fringilla tortor.', '', 0, 'On hold', '2018-06-19 11:46:56'),
(3, 1, 1, 'admin', 9, NULL, 'Complaint', 'Community', '6', 'Lorem ipsum dolor sit amet, vel metus quis morbi mi maecenas nonummy, euismod dignissim vestibulum pretium est convallis, lacinia morbi et rutrum aliquam, sodales fringilla purus sed ac vestibulum. Semper risus sed nulla elementum, dolor quam eligendi, est blandit arcu egestas gravida, metus et a adipiscing, tempus senectus. Tristique nulla libero urna amet fringilla tortor.', '', 0, 'On hold', '2018-06-19 11:48:40'),
(6, 1, 1, 'admin', 92, NULL, 'Complaint', 'Community', '7', '<p>Test</p>', '1530472884.jpg', 1, 'On hold', '2018-07-02 00:51:24');

-- --------------------------------------------------------

--
-- Table structure for table `complaint_status`
--

CREATE TABLE `complaint_status` (
  `id` int(11) NOT NULL,
  `complaint_id` int(11) NOT NULL,
  `complaint_status` varchar(56) NOT NULL COMMENT 'Open,In progress,On hold,Cancelled,Closed',
  `descriptions` text,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `complaint_status`
--

INSERT INTO `complaint_status` (`id`, `complaint_id`, `complaint_status`, `descriptions`, `updated_at`) VALUES
(1, 1, 'Open', NULL, '2018-06-19 20:08:06'),
(2, 2, 'In progress', NULL, '2018-06-19 20:08:28'),
(3, 3, 'On hold', NULL, '2018-06-19 20:08:46'),
(4, 6, 'In progress', NULL, '2018-07-02 01:07:37'),
(5, 6, 'On hold', NULL, '2018-07-02 01:30:12');

-- --------------------------------------------------------

--
-- Table structure for table `groups`
--

CREATE TABLE `groups` (
  `id` mediumint(8) UNSIGNED NOT NULL,
  `name` varchar(20) NOT NULL,
  `description` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `groups`
--

INSERT INTO `groups` (`id`, `name`, `description`) VALUES
(1, 'SuperAdmin', 'Super Administrator'),
(2, 'ApartmentAdmin', 'Apartment Admin'),
(3, 'Member', 'Member User'),
(4, 'Maintenance', 'Maintenance Staff');

-- --------------------------------------------------------

--
-- Table structure for table `group_roles`
--

CREATE TABLE `group_roles` (
  `id` int(11) NOT NULL,
  `apartment_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  `role_name` varchar(156) NOT NULL,
  `status` tinyint(1) NOT NULL COMMENT '1=Active, 0=Inactive',
  `created_on` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `group_roles`
--

INSERT INTO `group_roles` (`id`, `apartment_id`, `group_id`, `role_name`, `status`, `created_on`) VALUES
(1, 1, 3, 'Members', 1, '0000-00-00 00:00:00'),
(2, 2, 3, 'Residents', 1, '0000-00-00 00:00:00'),
(3, 2, 3, 'Tenant', 1, '0000-00-00 00:00:00'),
(4, 1, 3, 'Registered Owner', 1, '0000-00-00 00:00:00'),
(5, 1, 4, 'Auditor', 1, '0000-00-00 00:00:00'),
(6, 1, 4, 'Electrician', 1, '0000-00-00 00:00:00'),
(7, 1, 4, 'Facility Manager', 1, '0000-00-00 00:00:00'),
(8, 1, 4, 'House Keeping Staff', 1, '0000-00-00 00:00:00'),
(9, 1, 4, 'Plumber', 1, '0000-00-00 00:00:00'),
(10, 1, 4, 'Security Staff', 1, '0000-00-00 00:00:00'),
(11, 1, 4, 'Security Supervisor', 1, '0000-00-00 00:00:00'),
(12, 1, 4, 'Water supply staff', 1, '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `login_attempts`
--

CREATE TABLE `login_attempts` (
  `id` int(11) UNSIGNED NOT NULL,
  `ip_address` varchar(15) NOT NULL,
  `login` varchar(100) NOT NULL,
  `time` int(11) UNSIGNED DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `notice_board`
--

CREATE TABLE `notice_board` (
  `id` int(11) NOT NULL,
  `apartment_id` int(11) NOT NULL,
  `subject` varchar(256) NOT NULL,
  `flash_notice` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1=Yes, 0=No',
  `expiry_time` datetime NOT NULL,
  `attachment` varchar(256) NOT NULL,
  `descriptions` text NOT NULL,
  `special_notice` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1=Yes,0=No',
  `copy_maintenance_staff` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1=Yes,0=No',
  `notice_visible_group` varchar(56) NOT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `notice_board`
--

INSERT INTO `notice_board` (`id`, `apartment_id`, `subject`, `flash_notice`, `expiry_time`, `attachment`, `descriptions`, `special_notice`, `copy_maintenance_staff`, `notice_visible_group`, `created_at`) VALUES
(1, 1, 'sds', 0, '2018-07-02 22:11:31', '', '<p>sdsad</p>', 0, 0, 'onlySelected', '2018-07-01 22:11:51'),
(2, 1, 'asds', 0, '2018-07-02 22:13:11', '', '<p>as</p>', 0, 0, 'onlySelected', '2018-07-01 22:14:06'),
(3, 1, 'Test', 0, '2018-07-02 22:15:46', '', '<p>Test</p>', 0, 0, 'onlySelected', '2018-07-01 22:19:51'),
(4, 1, 'rtr', 0, '2018-07-02 23:12:23', '', '<p>ertwe</p>', 0, 0, 'onlySelected', '2018-07-01 23:12:51'),
(5, 1, 'Abe', 0, '2018-07-02 23:15:10', '', '<p>tes</p>', 0, 0, 'onlySelected', '2018-07-01 23:15:20'),
(6, 1, 'teet', 0, '2018-07-02 23:15:25', '', '<p>tes</p>', 0, 0, 'members', '2018-07-01 23:15:44');

-- --------------------------------------------------------

--
-- Table structure for table `notice_users`
--

CREATE TABLE `notice_users` (
  `id` int(11) NOT NULL,
  `notice_id` int(11) NOT NULL,
  `apartment_id` int(11) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `expiry_time` datetime NOT NULL,
  `is_view` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1=Yes, 0=No',
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `notice_users`
--

INSERT INTO `notice_users` (`id`, `notice_id`, `apartment_id`, `user_id`, `expiry_time`, `is_view`, `created_at`) VALUES
(1, 6, 1, 1, '2018-07-02 23:15:25', 1, '2018-07-01 23:15:44'),
(2, 6, 1, 2, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(3, 6, 1, 3, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(4, 6, 1, 4, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(5, 6, 1, 5, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(6, 6, 1, 6, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(7, 6, 1, 7, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(8, 6, 1, 8, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(9, 6, 1, 9, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(10, 6, 1, 10, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(11, 6, 1, 11, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(12, 6, 1, 12, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(13, 6, 1, 13, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(14, 6, 1, 14, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(15, 6, 1, 15, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(16, 6, 1, 16, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(17, 6, 1, 17, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(18, 6, 1, 18, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(19, 6, 1, 19, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(20, 6, 1, 20, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(21, 6, 1, 21, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(22, 6, 1, 22, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(23, 6, 1, 23, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(24, 6, 1, 24, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(25, 6, 1, 25, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(26, 6, 1, 26, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(27, 6, 1, 27, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(28, 6, 1, 28, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(29, 6, 1, 29, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(30, 6, 1, 30, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(31, 6, 1, 31, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(32, 6, 1, 32, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(33, 6, 1, 33, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(34, 6, 1, 34, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(35, 6, 1, 35, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(36, 6, 1, 36, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(37, 6, 1, 37, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(38, 6, 1, 38, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(39, 6, 1, 39, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(40, 6, 1, 40, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(41, 6, 1, 41, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(42, 6, 1, 42, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(43, 6, 1, 43, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(44, 6, 1, 44, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(45, 6, 1, 45, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(46, 6, 1, 46, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(47, 6, 1, 47, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(48, 6, 1, 48, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(49, 6, 1, 49, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(50, 6, 1, 50, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(51, 6, 1, 51, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(52, 6, 1, 52, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(53, 6, 1, 53, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(54, 6, 1, 54, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(55, 6, 1, 55, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(56, 6, 1, 56, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(57, 6, 1, 57, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(58, 6, 1, 58, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(59, 6, 1, 59, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(60, 6, 1, 60, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(61, 6, 1, 61, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(62, 6, 1, 62, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(63, 6, 1, 63, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(64, 6, 1, 64, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(65, 6, 1, 65, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(66, 6, 1, 66, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(67, 6, 1, 67, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(68, 6, 1, 68, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(69, 6, 1, 69, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(70, 6, 1, 70, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(71, 6, 1, 71, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(72, 6, 1, 72, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(73, 6, 1, 73, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(74, 6, 1, 74, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(75, 6, 1, 75, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(76, 6, 1, 76, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(77, 6, 1, 77, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(78, 6, 1, 78, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(79, 6, 1, 79, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(80, 6, 1, 80, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(81, 6, 1, 81, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(82, 6, 1, 82, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(83, 6, 1, 83, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(84, 6, 1, 84, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(85, 6, 1, 85, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(86, 6, 1, 86, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(87, 6, 1, 87, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(88, 6, 1, 88, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(89, 6, 1, 89, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44'),
(90, 6, 1, 90, '2018-07-02 23:15:25', 0, '2018-07-01 23:15:44');

-- --------------------------------------------------------

--
-- Table structure for table `units`
--

CREATE TABLE `units` (
  `id` int(11) NOT NULL,
  `apartment_id` int(11) NOT NULL,
  `block_id` int(11) NOT NULL,
  `unit_name` int(11) NOT NULL,
  `exempt_from_GST` tinyint(4) DEFAULT NULL COMMENT '1=Yes, 0=No',
  `floor_number` int(11) DEFAULT NULL,
  `super_builtup_area` varchar(156) DEFAULT NULL,
  `terrace_area` varchar(156) DEFAULT NULL,
  `plot_area` varchar(156) DEFAULT NULL,
  `intercom_number` varchar(56) DEFAULT NULL,
  `tenant_type` varchar(56) DEFAULT NULL,
  `society_membership_number` varchar(156) DEFAULT NULL,
  `number_of_water_inlets` varchar(56) DEFAULT NULL,
  `number_of_pets` varchar(56) DEFAULT NULL,
  `electricity_connection_number` varchar(56) DEFAULT NULL,
  `water_connection_number` varchar(56) DEFAULT NULL,
  `gas_connection_number` varchar(56) DEFAULT NULL,
  `type_of_unit` varchar(56) DEFAULT NULL,
  `unit_sold_status` varchar(56) DEFAULT NULL,
  `unit_occupancy_status` varchar(56) DEFAULT NULL,
  `maintenance_dues_to_be_paid_by` varchar(56) DEFAULT NULL,
  `available_for_sale` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1=Yes, 0=No',
  `available_for_rent` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1=Yes, 0=No',
  `need_paper_invoice` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1=Yes, 0=No',
  `connected_EB_load` varchar(156) DEFAULT NULL,
  `connected_DG_load` varchar(156) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `units`
--

INSERT INTO `units` (`id`, `apartment_id`, `block_id`, `unit_name`, `exempt_from_GST`, `floor_number`, `super_builtup_area`, `terrace_area`, `plot_area`, `intercom_number`, `tenant_type`, `society_membership_number`, `number_of_water_inlets`, `number_of_pets`, `electricity_connection_number`, `water_connection_number`, `gas_connection_number`, `type_of_unit`, `unit_sold_status`, `unit_occupancy_status`, `maintenance_dues_to_be_paid_by`, `available_for_sale`, `available_for_rent`, `need_paper_invoice`, `connected_EB_load`, `connected_DG_load`) VALUES
(1, 1, 1, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(2, 1, 1, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(3, 1, 1, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(4, 1, 1, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(5, 1, 1, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(6, 1, 1, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(7, 1, 1, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(8, 1, 1, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(9, 1, 1, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(10, 1, 1, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(11, 1, 2, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(12, 1, 2, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(13, 1, 2, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(14, 1, 2, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(15, 1, 2, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(16, 1, 2, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(17, 1, 2, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(18, 1, 2, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(19, 1, 2, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(20, 1, 2, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(21, 1, 3, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(22, 1, 3, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(23, 1, 3, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(24, 1, 3, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(25, 1, 3, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(26, 1, 3, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(27, 1, 3, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(28, 1, 3, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(29, 1, 3, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(30, 1, 3, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(31, 1, 4, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(32, 1, 4, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(33, 1, 4, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(34, 1, 4, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(35, 1, 4, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(36, 1, 4, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(37, 1, 4, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(38, 1, 4, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(39, 1, 4, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(40, 1, 4, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(41, 1, 5, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(42, 1, 5, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(43, 1, 5, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(44, 1, 5, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(45, 1, 5, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(46, 1, 5, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(47, 1, 5, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(48, 1, 5, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(49, 1, 5, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(50, 1, 5, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(51, 1, 6, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(52, 1, 6, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(53, 1, 6, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(54, 1, 6, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(55, 1, 6, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(56, 1, 6, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(57, 1, 6, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(58, 1, 6, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(59, 1, 6, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(60, 1, 6, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(61, 1, 7, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(62, 1, 7, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(63, 1, 7, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(64, 1, 7, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(65, 1, 7, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(66, 1, 7, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(67, 1, 7, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(68, 1, 7, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(69, 1, 7, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(70, 1, 7, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(71, 1, 8, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(72, 1, 8, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(73, 1, 8, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(74, 1, 8, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(75, 1, 8, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(76, 1, 8, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(77, 1, 8, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(78, 1, 8, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(79, 1, 8, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(80, 1, 8, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(81, 1, 9, 101, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(82, 1, 9, 102, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(83, 1, 9, 103, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(84, 1, 9, 104, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(85, 1, 9, 105, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(86, 1, 9, 106, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(87, 1, 9, 107, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(88, 1, 9, 108, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(89, 1, 9, 109, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL),
(90, 1, 9, 110, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `username` varchar(56) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `city` varchar(56) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pincode` int(11) DEFAULT NULL,
  `mobile` varchar(56) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `activationcode` varchar(156) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `userimage` varchar(156) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL COMMENT '1=Active, 0=Inactive'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `name`, `username`, `email`, `password`, `city`, `pincode`, `mobile`, `activationcode`, `remember_token`, `created_at`, `updated_at`, `userimage`, `status`) VALUES
(1, 'A101', 'A101', 'A101@gmail.com', '$2y$10$TCo64jv.XhvDa70UvTkvaOj.alSF7Sq5KfzxWuaeJWH44fCBFdzwW', NULL, NULL, NULL, NULL, 'g0XPJLL5ZAKf9JoHCfgXkMCKkoct2bQPwDSQBbqOk9A66ANkjCxQfVOx0BCg', NULL, NULL, NULL, 1),
(2, 'A102', 'A102', 'A102@gmail.com', '$2y$10$vgu8ESf5HeGa1D/3a9wanOZnm6LzJgpb9ic2yinqkpN74dq5ClcI2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(3, 'A103', 'A103', 'A103@gmail.com', '$2y$10$ZMA8gFRRg8XKTu/nVRqqsePOMikieVeXwUQiYJunxkwM7NvognDAu', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(4, 'A104', 'A104', 'A104@gmail.com', '$2y$10$lAzmDbXZnvnptQHbX9dU1uV3n8WuFyz1.RddSe6XyxuVCY7QMPjqS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(5, 'A105', 'A105', 'A105@gmail.com', '$2y$10$qrbJFGiJYTW.ymyJO10iJOaxUJnRnn7IJNTd1ZA01g624aaE/Pha2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(6, 'A106', 'A106', 'A106@gmail.com', '$2y$10$SW/JplVpwrF3SpY8.a/QtuDC56uYwpkugbXw5hxwkAKXTtT9CZBq6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(7, 'A107', 'A107', 'A107@gmail.com', '$2y$10$WMEPGLsLPFw9PifCN/KKPe6tS1P6W/EVUXl6CKJ5njUDAQJHP2tAy', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(8, 'A108', 'A108', 'A108@gmail.com', '$2y$10$IfnUuxfNIgGycrS8EQ8dheIPjXJWcZ0Aszw1Mk90sGQIYgq0TsAfO', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(9, 'A109', 'A109', 'A109@gmail.com', '$2y$10$HJ0DvHrZx5NCOaPRBwVh/uDf3fmZYmse7LpjunGKywOcuhPAQkKbe', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(10, 'A110', 'A110', 'A110@gmail.com', '$2y$10$Yd4Ojgtgfvmr49/w6caXZu.kMo1FNfdhHSar/W.8vEK3GoHdKh862', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(11, 'B101', 'B101', 'B101@gmail.com', '$2y$10$FiM0.JCiLGfJNrXXQltbceAjAMIJ04BYF7dWW63hw55JzbZd2NOgG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(12, 'B102', 'B102', 'B102@gmail.com', '$2y$10$UsipxgS25WvDMgddq4JcVeTjroNvmr7Mx24l8wxsbTrxKBdQXsRbi', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(13, 'B103', 'B103', 'B103@gmail.com', '$2y$10$sxMK6q.xsJi.pF.pwNrCfejJK0bVso6tWbOvZ0b.2SQNqhMFEdsLq', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(14, 'B104', 'B104', 'B104@gmail.com', '$2y$10$b2vY0p11XoWKlqFpaV7oSu2n9wVP9EnaKQMK8I.bkXxHBzdD1c/di', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(15, 'B105', 'B105', 'B105@gmail.com', '$2y$10$7Zsg5Kk25jeQxZCatwZtH.xVpGw8QPLySitVTAZScMZfFuJnoQFC6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(16, 'B106', 'B106', 'B106@gmail.com', '$2y$10$JO51j/yEXxrfjekXhIDhye/BZhuEQK5/s87x/jrxWe60SNiWneBJy', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(17, 'B107', 'B107', 'B107@gmail.com', '$2y$10$mznAgqtT9xs/cwFW17vXS.OEkK0hOpQHvePcdT8iffARIn1/y/O9W', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(18, 'B108', 'B108', 'B108@gmail.com', '$2y$10$xUzhyrPuh9hcQIBjB3GA1OBnSUzcUN8rCcZgr9pyVn2mHmhmje7lK', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(19, 'B109', 'B109', 'B109@gmail.com', '$2y$10$hJ43HdGlKzqDUDiz1HF.iOcql4zFuLoi9y6kWeIuxi.CDJTXW3XjO', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(20, 'B110', 'B110', 'B110@gmail.com', '$2y$10$J/YQrIQaxKlDv3eNSexeFu5AzUyS9dQX1AlRmYBVBokHwnqiEhOqu', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(21, 'C101', 'C101', 'C101@gmail.com', '$2y$10$hCU7r1bA3IxNOo6O1dFRUuCtCWBTjmeaD1eoBZqHhnrchtEfItiDi', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(22, 'C102', 'C102', 'C102@gmail.com', '$2y$10$pFTfydhmaqujw9/iyFPgAuitm2v4FHXjqNpICYSJMSCC2.w4aDh/y', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(23, 'C103', 'C103', 'C103@gmail.com', '$2y$10$PudTH5J2ETKT42issQKlX.yQ2qWy3d2sMDpFdi80xuLK8duNMMjgq', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(24, 'C104', 'C104', 'C104@gmail.com', '$2y$10$czUW2CDAF1nnMS9nAhJdxO8mZ/v4UAGbVdr4msZ8eOChK0Qhek/6e', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(25, 'C105', 'C105', 'C105@gmail.com', '$2y$10$ezVdLEUSJgJjCMqNAp1spetwY15ATmtDHWEJYH1FPk26m0fT/wF4m', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(26, 'C106', 'C106', 'C106@gmail.com', '$2y$10$2z5nG1bFxNATsrMIRjOg6.xBZYRFu2e2f9i7YnYbynMEMUDB7R31.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(27, 'C107', 'C107', 'C107@gmail.com', '$2y$10$xN5FcG33Vl9f7wFPsqttSu5pj.rDprWTKG2Ifkb5zRnRdIR0PoOpm', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(28, 'C108', 'C108', 'C108@gmail.com', '$2y$10$HUAij73OVs4SYsIFtUL6gOigA/6vtv.yMItVpZXuSgX2XJwGrHRI6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(29, 'C109', 'C109', 'C109@gmail.com', '$2y$10$DvGv1/TeopRwWI8FS/XuoO1SoY6bwyAvz4hPKipctap7hn7xBx2bS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(30, 'C110', 'C110', 'C110@gmail.com', '$2y$10$d78Eixzw.UXDFhesPwIkkOHCfZO4TOreZKTnQ78aszA0kiydGmlwi', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(31, 'D101', 'D101', 'D101@gmail.com', '$2y$10$7PliAWv1dH7Q8usdibgd5.Q08hV6sp7QyFejbHHYg.kwu9/QMiGv6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(32, 'D102', 'D102', 'D102@gmail.com', '$2y$10$R8LJeMRl8PqJVtEL19BdDeruh/hmon9pDwIN2kKaQKhUNehuMYQz.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(33, 'D103', 'D103', 'D103@gmail.com', '$2y$10$7aEpKyqoVPv.mCI5iQ9mV.dj834xnmjQvzktcqyFXpOEJwiMa38LW', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(34, 'D104', 'D104', 'D104@gmail.com', '$2y$10$Byn.BzKa5AcoC9UCu2CmNOnXe4zYM9e8rswDVTWv22TnFa9.myG.i', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(35, 'D105', 'D105', 'D105@gmail.com', '$2y$10$tbguz4EjP7BNRA86gHSqqOYAhqESClxbtn4zrRn1tn6r5rc/8ieO6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(36, 'D106', 'D106', 'D106@gmail.com', '$2y$10$90i05QwG7aVjHHV99f51DeR0NL0qD.CZTBPmUKbpjWWdTWw/INMra', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(37, 'D107', 'D107', 'D107@gmail.com', '$2y$10$wBnV68KHcpzeAVdANUS7HuWkwgEJBYQPvu6H5H40e93p7w81m/ZKq', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(38, 'D108', 'D108', 'D108@gmail.com', '$2y$10$ZjmVeU.2GgU0x1D1a33/g.1ta/wZoIMI48zJ3yS2v/Ry5fQoIahJG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(39, 'D109', 'D109', 'D109@gmail.com', '$2y$10$kuT1vpUwG21yyAjCw9QY..Ub5SSe.jOeGyveEUhX6/APNhec9s1uO', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(40, 'D110', 'D110', 'D110@gmail.com', '$2y$10$Ec.hBHoI1kdgy6nzgUxR4OqpZxOco1B3SlYW/bQd.guuK5zZE2Fi.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(41, 'E101', 'E101', 'E101@gmail.com', '$2y$10$cHGR.///lt1vBIgc5ct0/Ov..cHJ/nQrNg24MbwKrL0m8S8aErSCu', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(42, 'E102', 'E102', 'E102@gmail.com', '$2y$10$68/T/.QT/J46z/JFVKDd0uiQYZTUi.NHLQfcuzmiJ3ECWrT0R3HHG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(43, 'E103', 'E103', 'E103@gmail.com', '$2y$10$VTVApuCnQ6jggxnrSS/aG..Vyqdz8se8F31SeDE9K52L8PRgTurJe', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(44, 'E104', 'E104', 'E104@gmail.com', '$2y$10$ixo5QNUuA.PuP481pSpXgemsDASeBMXpcrHIBvyt986RzcnoM4OEi', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(45, 'E105', 'E105', 'E105@gmail.com', '$2y$10$2QS1EmDlalrTAmHpWn3XReJ51Cu2g4H.NMkQc6Ii5L5vwiambGIOi', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(46, 'E106', 'E106', 'E106@gmail.com', '$2y$10$8JYdnN.uj5qRDTMQ2UuPouvZ5TxkSB5ASruZa8D15XkRbWQpZxbTG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(47, 'E107', 'E107', 'E107@gmail.com', '$2y$10$sB7jeHss9BAYr7d4mHWxCO.3vOC..p77AkAlhPFC0LPhsSJ4a/Y3e', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(48, 'E108', 'E108', 'E108@gmail.com', '$2y$10$01z0XQkl.lc/DTUcXZ2QD.4iC4YyRUmZb.PNLsUUVzm8/zJbkuO3G', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(49, 'E109', 'E109', 'E109@gmail.com', '$2y$10$4.BqdSS85GxlbwT6t85bs.zh.2/av5VPpCc3wNxJB4.UbGL7gpI8u', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(50, 'E110', 'E110', 'E110@gmail.com', '$2y$10$Dqk/htQkLaXTAZP4E/NhMOAj3KfUYTyPOyk34VG5wCOq9bf69F.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(51, 'F101', 'F101', 'F101@gmail.com', '$2y$10$I61CxPM.OdN5ayZS32XADuo8d74cD5tQJFFMAFS2IkCR7AfuIMnI.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(52, 'F102', 'F102', 'F102@gmail.com', '$2y$10$iLTCk3UInsIKoKGvTk3eYe9S.rP/0Sq7Qwd2fyvSC2Cq3DcjRvpfu', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(53, 'F103', 'F103', 'F103@gmail.com', '$2y$10$ZlsPXKlUGQbDfzspEDZ0MOpAfg73aY0QNobOuahqbfWv86pMT89pG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(54, 'F104', 'F104', 'F104@gmail.com', '$2y$10$JElzt6QP3jR1T/ywZtrVK.snxmk56sZUGACvD8EsLwW/gUDDnV2te', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(55, 'F105', 'F105', 'F105@gmail.com', '$2y$10$lteLeGwuwFHqZuysG814..RHuqe6D/OtK0OeflazXgKW0WusBODx.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(56, 'F106', 'F106', 'F106@gmail.com', '$2y$10$LIyJZYFLExpOR74lfll9iOk4aIG5qniwT5dtPGNx21iH.NR8x2S3.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(57, 'F107', 'F107', 'F107@gmail.com', '$2y$10$nMyhocAZEF7uqnigL/NVhetWr/GnTsUqh0cRLa7M5LHa9qiAIuRG6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(58, 'F108', 'F108', 'F108@gmail.com', '$2y$10$IwOzz/1K1ZzDRvrHVJKjkuurFod/kqtQN5vuNckT51uMYM35hiqwW', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(59, 'F109', 'F109', 'F109@gmail.com', '$2y$10$eC0iKBldnza8GLrtgkWite09JSFDS8d7Nga.Ye6.uDtC.MmRMj6v.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(60, 'F110', 'F110', 'F110@gmail.com', '$2y$10$1QFJTZ5zpgBZeBuKNaiMROXamwwf/L9zDtDzf.W4ZjdiDxEkNi2Yu', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(61, 'G101', 'G101', 'G101@gmail.com', '$2y$10$8xFgblvgqWE1bGyvlO4j4OryDlmxHSczpYeE7iDHxO4LTpJEq.5jm', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(62, 'G102', 'G102', 'G102@gmail.com', '$2y$10$PVRj/pdrqOHsVj8qpkzEze3CzV8AGTbl27tj9L3BDfDvkqxbIrDO6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(63, 'G103', 'G103', 'G103@gmail.com', '$2y$10$yx6ZmiE9aUCODCyfmLoSnOXwYPEIafrWkycNDWoIgwMlldC/0l67i', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(64, 'G104', 'G104', 'G104@gmail.com', '$2y$10$Mi1J8U.BpYCp7rSLHEfeZOXUBSIjhqYPGcoPFcxrasfjO17sXSTJ.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(65, 'G105', 'G105', 'G105@gmail.com', '$2y$10$RC4FhADOEJX1DIv/0zvT9uthrK3L5LvvpQQ/X/qTlmscY3bj/WnxS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(66, 'G106', 'G106', 'G106@gmail.com', '$2y$10$HsFaQQFbtvxgDgkRzWIdfOih.4.JZjfseD4JnaF/YFVmbM/StBRV2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(67, 'G107', 'G107', 'G107@gmail.com', '$2y$10$xNy3LZtQYlhcX0e4ISRw7.vpK/A/TcBwDC79i1NckTkXQu2BLi7He', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(68, 'G108', 'G108', 'G108@gmail.com', '$2y$10$6dkl.t4q1AMaAquttzTGrenBIzAfQ88SmHwLdOX1PT.CmejYlqyq6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(69, 'G109', 'G109', 'G109@gmail.com', '$2y$10$.bgkSssvRcaWeyxysUYrG.pRbubHrqllbtNxGOr4mg3sEldoz1i0a', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(70, 'G110', 'G110', 'G110@gmail.com', '$2y$10$NPLmnUhWXhncvNNB62tyVuqtaK.wtuQ8NPCnTeSnUyGTsfMf4YNBS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(71, 'H101', 'H101', 'H101@gmail.com', '$2y$10$FWFhculJ9zGE641SvNM1Z.isKyEmBLNGRDgZ3EZto4z7GLUGOr2Ne', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(72, 'H102', 'H102', 'H102@gmail.com', '$2y$10$frzp4jXYLqzne/.bNZAireyeH8pvEFgeR/vubuZYlZCuS51Hje0MG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(73, 'H103', 'H103', 'H103@gmail.com', '$2y$10$HkixEaCw5bo3nHitslO2KOLxwHZd8PnaZwUMPYf2c1qXAWck.0BJS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(74, 'H104', 'H104', 'H104@gmail.com', '$2y$10$0/.GKqgNGZnNUAE7esGpMuGSZq.t8rMKWoUZeZLnhOH9K4/Dt4TDW', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(75, 'H105', 'H105', 'H105@gmail.com', '$2y$10$wJkrjkUZ5IPPICh4h12qeOr6J/tfnZWE40eRtUvoKhAKc5KA7ehgq', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(76, 'H106', 'H106', 'H106@gmail.com', '$2y$10$9uqriDPwhr6m53oegu3RVOdWVS8xp09z2flCe2gjgbResdtBBDUVy', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(77, 'H107', 'H107', 'H107@gmail.com', '$2y$10$E2QgMkXK6tUmVePJbp3seuykGWa9sqenMsvRDIOv3IsynfzC9T1RC', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(78, 'H108', 'H108', 'H108@gmail.com', '$2y$10$tSpK4qhizaChtV50iagyvep01h.x4hLbKGJR3kJBjwVRA6.yEK2Ke', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(79, 'H109', 'H109', 'H109@gmail.com', '$2y$10$yU9phFAW3ccpKikT7cCO/.9CE91Jgi9iJJOZGDmt005EgEQbj7WD6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(80, 'H110', 'H110', 'H110@gmail.com', '$2y$10$GPvRh0R5x/dnDIPNeI7bi./pY1V2A2V3hWAW/MjPkqgdJE0KbBhbS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(81, 'I101', 'I101', 'I101@gmail.com', '$2y$10$IPztJuPiNAv13dKxyh3tHuLWMpRwPT2fT951K.dylpsQTX2Uqo4sS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(82, 'I102', 'I102', 'I102@gmail.com', '$2y$10$Ao3e0gdu6yi6jboROW/CuebTw/yGZQ6PWyNF5VAS8SyY4QRIhbwty', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(83, 'I103', 'I103', 'I103@gmail.com', '$2y$10$WxtqywuXATF599wyhEmo8OQEgyq61088Xan1MDup4E9nKjTHzRR0W', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(84, 'I104', 'I104', 'I104@gmail.com', '$2y$10$AtPqn1nv9xYayYgGA8FJeOcs2r/WxWIQBkdPZXk9NncvytM7L.2x2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(85, 'I105', 'I105', 'I105@gmail.com', '$2y$10$4L9SqXQBO5TlMDGdueNIweyCkmI43zrONVXKKJPxIPkV50L2r30N.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(86, 'I106', 'I106', 'I106@gmail.com', '$2y$10$QhOlR1RyAVWZ6NXct7kSZ..6jvpQcOIjKOlsWGFAJkXDXX4g6rey6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(87, 'I107', 'I107', 'I107@gmail.com', '$2y$10$YJHwHiSERnIsZr1FuwMd6uAJWLhA56BKe0cikWFtfk6gmqkbXJu92', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(88, 'I108', 'I108', 'I108@gmail.com', '$2y$10$w4HEBTUuDbIaRaHD151dweoeaBYA6vJXgxRSJGfhyho4OyjJpJD9C', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(89, 'I109', 'I109', 'I109@gmail.com', '$2y$10$eQNJVWftpiC6tjRXwR1sYO6LpEimZn6QiFWWrl6LqerVWOHqKFdm.', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(90, 'I110', 'I110', 'I110@gmail.com', '$2y$10$9F3VS7gQLM7i9X.1c2UppuHIVBG7RTRiHa/S0NTSEUa1ows6I8DO6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1),
(91, 'superadmin', 'superadmin5b2c13e76d744', 'superadmin@admin.com', '$2y$10$M7o7LMHhVzJEO1lRnQHuL.CUY7tUZEua/Pp2oZnf0lH0Bc1V1MeSa', 'Noida', 201301, '8645454545', NULL, 'l2i2BQI9AumbfSnayrrXNTXvHzIBZ5EYasnzAul3GuicYlpWNukQVgNlE9rN', '2018-06-21 21:08:55', '2018-06-21 21:08:55', NULL, 0),
(92, 'Max Royal', 'Royal Max5b2c143140507', 'admin@admin.com', '$2y$10$8HEJ2A.Cn8/FeFdM..RlNOXFNJKr6BNaNXjzC4rEov9CYGDICjt8S', 'Noida', 201301, '7634541275', NULL, 'WyIMeOeXd7x5KgIskweveyVfM7c8ZIls7x6NSZoY0Ha1FAazKPKqgds9pHSm', '2018-06-21 21:10:09', '2018-06-21 21:10:09', NULL, 0),
(93, 'Maintenance', 'Maintenance5b2c14826155c', 'maintenance@gmail.com', '$2y$10$kIJ/Qt.Vwfk9tCysG2CXHelN2cCt1pg0PXPhzJa7cDbQyXm7qsNqe', 'Noida', 201301, '6545673412', NULL, 'RNE3xykHPyuTFFfIAfvX9dfFb9gczzNBNeGRfJEdZ3HgFoeD4TJsLnQSwseq', '2018-06-21 21:11:30', '2018-06-21 21:11:30', NULL, 0);

-- --------------------------------------------------------

--
-- Table structure for table `users_groups`
--

CREATE TABLE `users_groups` (
  `id` int(11) UNSIGNED NOT NULL,
  `apartment_id` int(11) NOT NULL,
  `block_id` int(11) DEFAULT NULL,
  `unit_id` int(11) DEFAULT NULL,
  `user_id` int(11) UNSIGNED NOT NULL,
  `group_id` mediumint(8) UNSIGNED NOT NULL,
  `role_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `users_groups`
--

INSERT INTO `users_groups` (`id`, `apartment_id`, `block_id`, `unit_id`, `user_id`, `group_id`, `role_id`) VALUES
(1, 1, 1, 1, 1, 3, NULL),
(2, 1, 1, 2, 2, 3, NULL),
(3, 1, 1, 3, 3, 3, NULL),
(4, 1, 1, 4, 4, 3, NULL),
(5, 1, 1, 5, 5, 3, NULL),
(6, 1, 1, 6, 6, 3, NULL),
(7, 1, 1, 7, 7, 3, NULL),
(8, 1, 1, 8, 8, 3, NULL),
(9, 1, 1, 9, 9, 3, NULL),
(10, 1, 1, 10, 10, 3, NULL),
(11, 1, 2, 11, 11, 3, NULL),
(12, 1, 2, 12, 12, 3, NULL),
(13, 1, 2, 13, 13, 3, NULL),
(14, 1, 2, 14, 14, 3, NULL),
(15, 1, 2, 15, 15, 3, NULL),
(16, 1, 2, 16, 16, 3, NULL),
(17, 1, 2, 17, 17, 3, NULL),
(18, 1, 2, 18, 18, 3, NULL),
(19, 1, 2, 19, 19, 3, NULL),
(20, 1, 2, 20, 20, 3, NULL),
(21, 1, 3, 21, 21, 3, NULL),
(22, 1, 3, 22, 22, 3, NULL),
(23, 1, 3, 23, 23, 3, NULL),
(24, 1, 3, 24, 24, 3, NULL),
(25, 1, 3, 25, 25, 3, NULL),
(26, 1, 3, 26, 26, 3, NULL),
(27, 1, 3, 27, 27, 3, NULL),
(28, 1, 3, 28, 28, 3, NULL),
(29, 1, 3, 29, 29, 3, NULL),
(30, 1, 3, 30, 30, 3, NULL),
(31, 1, 4, 31, 31, 3, NULL),
(32, 1, 4, 32, 32, 3, NULL),
(33, 1, 4, 33, 33, 3, NULL),
(34, 1, 4, 34, 34, 3, NULL),
(35, 1, 4, 35, 35, 3, NULL),
(36, 1, 4, 36, 36, 3, NULL),
(37, 1, 4, 37, 37, 3, NULL),
(38, 1, 4, 38, 38, 3, NULL),
(39, 1, 4, 39, 39, 3, NULL),
(40, 1, 4, 40, 40, 3, NULL),
(41, 1, 5, 41, 41, 3, NULL),
(42, 1, 5, 42, 42, 3, NULL),
(43, 1, 5, 43, 43, 3, NULL),
(44, 1, 5, 44, 44, 3, NULL),
(45, 1, 5, 45, 45, 3, NULL),
(46, 1, 5, 46, 46, 3, NULL),
(47, 1, 5, 47, 47, 3, NULL),
(48, 1, 5, 48, 48, 3, NULL),
(49, 1, 5, 49, 49, 3, NULL),
(50, 1, 5, 50, 50, 3, NULL),
(51, 1, 6, 51, 51, 3, NULL),
(52, 1, 6, 52, 52, 3, NULL),
(53, 1, 6, 53, 53, 3, NULL),
(54, 1, 6, 54, 54, 3, NULL),
(55, 1, 6, 55, 55, 3, NULL),
(56, 1, 6, 56, 56, 3, NULL),
(57, 1, 6, 57, 57, 3, NULL),
(58, 1, 6, 58, 58, 3, NULL),
(59, 1, 6, 59, 59, 3, NULL),
(60, 1, 6, 60, 60, 3, NULL),
(61, 1, 7, 61, 61, 3, NULL),
(62, 1, 7, 62, 62, 3, NULL),
(63, 1, 7, 63, 63, 3, NULL),
(64, 1, 7, 64, 64, 3, NULL),
(65, 1, 7, 65, 65, 3, NULL),
(66, 1, 7, 66, 66, 3, NULL),
(67, 1, 7, 67, 67, 3, NULL),
(68, 1, 7, 68, 68, 3, NULL),
(69, 1, 7, 69, 69, 3, NULL),
(70, 1, 7, 70, 70, 3, NULL),
(71, 1, 8, 71, 71, 3, NULL),
(72, 1, 8, 72, 72, 3, NULL),
(73, 1, 8, 73, 73, 3, NULL),
(74, 1, 8, 74, 74, 3, NULL),
(75, 1, 8, 75, 75, 3, NULL),
(76, 1, 8, 76, 76, 3, NULL),
(77, 1, 8, 77, 77, 3, NULL),
(78, 1, 8, 78, 78, 3, NULL),
(79, 1, 8, 79, 79, 3, NULL),
(80, 1, 8, 80, 80, 3, NULL),
(81, 1, 9, 81, 81, 3, NULL),
(82, 1, 9, 82, 82, 3, NULL),
(83, 1, 9, 83, 83, 3, NULL),
(84, 1, 9, 84, 84, 3, NULL),
(85, 1, 9, 85, 85, 3, NULL),
(86, 1, 9, 86, 86, 3, NULL),
(87, 1, 9, 87, 87, 3, NULL),
(88, 1, 9, 88, 88, 3, NULL),
(89, 1, 9, 89, 89, 3, NULL),
(90, 1, 9, 90, 90, 3, NULL),
(91, 1, NULL, NULL, 91, 1, 1),
(92, 1, NULL, NULL, 92, 2, 1),
(93, 1, NULL, NULL, 93, 4, 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `apartments`
--
ALTER TABLE `apartments`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `blocks`
--
ALTER TABLE `blocks`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `complaint_box`
--
ALTER TABLE `complaint_box`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `complaint_status`
--
ALTER TABLE `complaint_status`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `groups`
--
ALTER TABLE `groups`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `group_roles`
--
ALTER TABLE `group_roles`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `login_attempts`
--
ALTER TABLE `login_attempts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `notice_board`
--
ALTER TABLE `notice_board`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `notice_users`
--
ALTER TABLE `notice_users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `units`
--
ALTER TABLE `units`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_email_unique` (`email`);

--
-- Indexes for table `users_groups`
--
ALTER TABLE `users_groups`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `apartments`
--
ALTER TABLE `apartments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `blocks`
--
ALTER TABLE `blocks`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;
--
-- AUTO_INCREMENT for table `complaint_box`
--
ALTER TABLE `complaint_box`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `complaint_status`
--
ALTER TABLE `complaint_status`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT for table `groups`
--
ALTER TABLE `groups`
  MODIFY `id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `group_roles`
--
ALTER TABLE `group_roles`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;
--
-- AUTO_INCREMENT for table `login_attempts`
--
ALTER TABLE `login_attempts`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `notice_board`
--
ALTER TABLE `notice_board`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `notice_users`
--
ALTER TABLE `notice_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=91;
--
-- AUTO_INCREMENT for table `units`
--
ALTER TABLE `units`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=91;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=94;
--
-- AUTO_INCREMENT for table `users_groups`
--
ALTER TABLE `users_groups`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=94;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
