<?php
namespace ApnaComplex\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use ApnaComplex\User;
use DB;

class CommonController extends Controller
{
	public function __construct()
    {        
		 //$this->middleware('auth');	
    }
	
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
    */
	
    public function roles(Request $request){
		$apartmentId =$request->get('apartmentId');
		$groupId = $request->get('groupId');
		
		$data= DB::select("select * from group_roles where apartment_id=$apartmentId AND group_id=$groupId");
		
		return response()->json(array('info'=> $data), 200);
    }
	
	public function update_block(Request $request){
		$apartmentId= $request->get('apartment_id');
		$block_id=$request->get('block_id');
		$block_name= $request->get('block_name');
		
		$blockData=array('block_name'=>$block_name);
		
		$check_exists= DB::table('blocks')->where('apartment_id',$apartmentId)
						     ->where('block_name',$block_name)
						     ->where('id','!=',$block_id)
						     ->get();
		
		
		if($check_exists->count()){
			return response()->json(array('status'=>'error','msg'=> 'Block already exists'), 201);
		}
		else{
			$isUpdated= DB::table('blocks')->where('id',$block_id)->update(['block_name' => $block_name]);
			
			if($isUpdated){
				return response()->json(array('status'=>'success','msg'=> 'Success Updated'), 200);
			}
		    else{
				return response()->json(array('status'=>'error','msg'=> 'Not Updated'), 200);
			}
		} 
	}
	
	//http://blog.appliedinformaticsinc.com/how-to-addremove-input-fields-dynamically-with-jquery/
	
	public function add_block(Request $request){
		$data=$request->get('blocks');
		$apartment_id=$request->get('apartment_id');
		$returnData=false;
		$data= array_unique($data);
		if($data){
			foreach($data as $key=>$val){
				
				if($val){
					$check_exists= DB::table('blocks')->where('apartment_id',$apartment_id)
						     ->where('block_name',$val)
						     ->get();
							 
					if($check_exists->count()){
						return response()->json(array('status'=>'error','msg'=> 'Block already exists'), 201);
					}	 
				}
			}
		}
		
		
							 
		if($data){
			foreach($data as $key=>$val){
				
				if($val){
					
					$returnData= DB::table('blocks')->insert(
						['apartment_id'=>$apartment_id,'block_name' => $val, 'status' => 1]
					);
				}
			}
		}
		
		if($returnData){			
			return response()->json(array('status'=>'success','msg'=> 'Success Added'), 200);
		}
	}
	
	public function delete_block($block_id,$apartment_id){
		
		DB::table('units')->where('block_id', $block_id)->where('apartment_id',$apartment_id)->delete();
        DB::table('blocks')->where('id', $block_id)->delete();
        return redirect('apartmentadmin/block')->with('message','Deleted!');	
	}
	
	
	public function get_blocks(Request $request){
		$apartment_id= $request->apartmentId;
		//$apartment_id=1;
		//$data= DB::select("select * from blocks where apartment_id=$apartment_id AND status=1");
		$blockData= DB::table('blocks')->where('apartment_id',$apartment_id)
						     ->where('status',1)
						     ->get();
		$unitData=array();
		$usersData=array();
		if($blockData->count()>0){
			$block_id= $blockData[0]->id;
			$unitData= DB::table('units')->where('apartment_id',$apartment_id)
						     ->where('block_id',$block_id)
						     ->get();
							 
			if($unitData->count()>0){
				
				$unit_id= $unitData[0]->id;
			    $usersData=	DB::select("SELECT users.id, users.name        
						from users_groups
						left join  users
						on (users.id =  users_groups.user_id)
						WHERE users_groups.apartment_id=$apartment_id AND 
						users_groups.block_id=$block_id AND
						users_groups.unit_id=$unit_id AND
						users_groups.group_id=3");
			}				
		}
		
		return response()->json(array('blockData'=> $blockData,'unitData'=>$unitData,'usersData'=>$usersData), 200);
	}
	
	public function get_units(Request $request){
		$apartment_id= $request->apartmentId;
		$block_id= $request->block_id;
		$unit_id= $request->unit_id;
		
		$unitData= DB::table('units')->where('apartment_id',$apartment_id)
						 ->where('block_id',$block_id)
						 ->get();
		$usersData=array();				 
		if($unit_id){
			$usersData=	DB::select("SELECT users.id, users.name        
						from users_groups
						left join  users
						on (users.id =  users_groups.user_id)
						WHERE users_groups.apartment_id=$apartment_id AND 
						users_groups.block_id=$block_id AND
						users_groups.unit_id=$unit_id AND
						users_groups.group_id=3");
		}			
		
		return response()->json(array('unitData'=>$unitData,'usersData'=>$usersData), 200);
	}
	
	public function get_maintenance_user(Request $request){
		$apartment_id= $request->apartmentId;
		$maintenance_role_id= $request->maintenance_role_id;
		
        $usersData=	DB::select("SELECT users.id, users.name        
						from users_groups
						left join  users
						on (users.id =  users_groups.user_id)
						WHERE users_groups.apartment_id=$apartment_id AND 
						users_groups.role_id=$maintenance_role_id ");
					
		return response()->json(array('usersData'=>$usersData), 200);
	}
	
	public function get_unit_user(Request $request){
		$apartment_id= $request->apartmentId;
		$block_id= $request->block_id;
		$unit_id= $request->unit_id;
		
        $usersData=	DB::select("SELECT users.id, users.name        
						from users_groups
						left join  users
						on (users.id =  users_groups.user_id)
						WHERE users_groups.apartment_id=$apartment_id AND 
						users_groups.block_id=$block_id AND
						users_groups.unit_id=$unit_id AND
						users_groups.group_id=3");
						
					
		return response()->json(array('usersData'=>$usersData), 200);
	}
	
	
	public function update_complaint_status(Request $request){
		$apartment_id= $request->get('apartment_id');
		$complaint_id=$request->get('complaint_id');
		$descriptions= $request->get('descriptions');
		$complaint_status= $request->get('complaint_status');
		
		$data=array(
		 'complaint_id'=>$complaint_id,
		 'descriptions' => $descriptions, 
		 'complaint_status' => $complaint_status,
		 'updated_at' => date('Y-m-d H:i:s')
		);
		
		$check_exists= DB::table('complaint_status')->where('complaint_id',$complaint_id)
						     ->where('complaint_status',$complaint_status)
						     ->get();
		
		
		if($check_exists->count()==0){
			$returnData= DB::table('complaint_status')->insert($data);
			
		}
		else{
			$isUpdated= DB::table('complaint_status')->where('complaint_id',$complaint_id)->where('complaint_status',$complaint_status)->update($data);
		}
		
		$cdata=array('current_status'=>$complaint_status); 
		 
		$isUpdated= DB::table('complaint_box')->where('id',$complaint_id)->update($cdata);
			
		if($isUpdated){
			$request->session()->flash('success', 'Your password has been changed.');
			return response()->json(array('status'=>'success','msg'=> 'Success Updated'), 200);
		}
		else{
			return response()->json(array('status'=>'error','msg'=> 'Not Updated'), 200);
		} 
	}
	
	
	
	
	
	
	
	
	
	
	public function add_units(){
		$BLOCKID=array('A'=>1,'B'=>2,'C'=>3,'D'=>4,'E'=>5,'F'=>6,'G'=>7,'H'=>8,'I'=>9);
		$Unit=array(101,102,103,104,105,106,107,108,109,110);
		
		$apartmentId=1;
		foreach($BLOCKID as $key=>$val){	
			for($j=101;$j<=110;$j++){
				$data=array(
					'apartment_id'=>$apartmentId,
					'block_id'=>$val,
					'unit_name'=>$j,
				);
				
				$unitId= DB::table('units')->insertGetId($data);
				
				if($unitId){
					$name= $key.$j;
					$email= $key.$j.'@gmail.com';
				
					$userData= array(
						  'name'=>$name,
						  'username'=>$name,
						  'email'=>$email,
						  'password'=>bcrypt($name),
						  'status'=>1
					);
					
					$user_id= DB::table('users')->insertGetId($userData);
						
					
					if(!empty($userData)){
						
						$data= array(
						    'apartment_id' =>$apartmentId,
							'block_id' => $val,
							'unit_id' => $unitId,
							'user_id' => $user_id,
							'group_id' => 3
						);
					
						DB::table('users_groups')->insert($data);
					} 
				} 
			}
		}
	}
	
	public function updateData(){
		$data=array('role_name'=>'Garbage Collector');
		$isUpdated= DB::table('group_roles')->where('id',5)->update($data);
	}
	
	public function searchUnit(Request $request){
		$searchUnit= $request->get('searchUnit');
		$apartment_id= $request->get('apartment_id');
		
		$string= strtoupper("$searchUnit");
	    $unitsData=array();
        if (preg_match('/^[a-zA-Z][a-zA-Z\ _]*$/', "$string"))			
		{   
			
			$str=preg_replace('/\s+/', '', "$string");
			
			$strLen= strlen($str);
			if($strLen >= 1){
				$searchBlock= $str[0];
				$units= DB::table('blocks')->where('apartment_id', $apartment_id)->where('block_name', $searchBlock)->first();
				if($units){
					$block_id=$units->id;
					
					$unitsData=	DB::select("SELECT units.id,units.block_id,
			            units.unit_name, blocks.block_name        
						from units
						left join blocks
						on (units.block_id = blocks.id)
						where units.apartment_id=$apartment_id
						AND units.block_id=$block_id
						");
							
				}
				
			}
			
		}
		else if(preg_match('/[A-Za-z].*[0-9]|[0-9].*[A-Za-z]/', $string)){
			$str=preg_replace('/\s+/', '', "$string");
			
			$strLen= strlen($str);
			if($strLen >= 1){
				$searchBlock= $str[0];
				$units= DB::table('blocks')->where('apartment_id', $apartment_id)->where('block_name', $searchBlock)->first();
				if($units){
					$block_id=$units->id;
					
					$unitsData=	DB::select("SELECT units.id,units.block_id,
			            units.unit_name, blocks.block_name        
						from units
						left join blocks
						on (units.block_id = blocks.id)
						where units.apartment_id=$apartment_id
						AND units.block_id=$block_id
						");
							
				}
				
			}
		}
		 
		return response()->json(array('unitData'=>$unitsData), 200);
		//return response()->json(array('blockData'=> $blockData,'unitData'=>$unitData,'usersData'=>$usersData), 200);
	}
	
	
    public function index()
    {    
	    
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
