<?php
namespace ApnaComplex\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use ApnaComplex\User;
use DB;
class MemberController extends Controller
{
	public function __construct()
    {
        
		$this->middleware('auth');
		
		$this->middleware(function ($request, $next) {
            $this->userInfo= DB::table('users')->where('id', Auth::id())->first();

            Session(['userInfo' => $this->userInfo]);
					
			$userData= Session('userGroup');			
			
			$group_id= $userData[0]->group_id;
			$this->apartment_id= $userData[0]->apartment_id;
			
			if($group_id !=3){
				return redirect('/home');
			}
			 
            return $next($request);
        });
		
    }
     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
	 
	public function index()
    {   
          return redirect('member/profile');
	    //return view('member.index');
    }
	
	public function profile(){
		$data['title'] = 'Profile';
        $data['userInfo']= $this->userInfo;
        
		return view('member.profile', $data);
	}
	
	public function edit_profile(){
		$data['title'] = 'Edit Profile';
        $data['userInfo']=$this->userInfo; 		 
		return view('member.edit_profile', $data);
		
	}
	
	public function edit_profile_post(Request $request){ 
	
	    
		$data['title'] = 'Edit Profile';
        
		$this->validate($request, [
            'image' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
			'city' => 'required',
        ]);
		
		$user_id=  Auth::id();
		$imgPath=$request->get('hiddenUserImage');
        if($file = $request->hasFile('image')) {
			$image = $request->file('image');
			
			$input['imagename'] = time().'.'.$image->getClientOriginalExtension();
			$destinationPath = public_path('/images');
			$image->move($destinationPath, $input['imagename']);
			$imgPath= $input['imagename'];
			
			$userProfile= $this->userInfo;
			$userImg= $userProfile->userimage;
			
			if($userImg){
				if(file_exists(public_path("images/$userImg"))){
				  unlink(public_path("images/$userImg"));
				}
			}
        }
		
		$data= array('userimage' => $imgPath,
				'city' => $request->get('city'),				
				'pincode'=>    $request->get('pincode'),
				'mobile'  => $request->get('mobile'));
				
		DB::table('users')->where('id', $user_id)->update($data); 
        
		
        return redirect('member/profile')->with('message','Updated successfully!');
		
	}
	
	public function change_password(Request $request)
    {
		$data['title']="Change Password";
		
		if($_SERVER['REQUEST_METHOD'] == 'POST'){ 
			$this->validate($request, [
				'old' => 'required',
				'password' => 'required|min:6|confirmed',
			]);
	 
			$user = User::find(Auth::id());
			$hashedPassword = $user->password;
	 
			if (Hash::check($request->old, $hashedPassword)) {
				//Change the password
				$user->fill([
					'password' => Hash::make($request->password)
				])->save();
	 
				$request->session()->flash('success', 'Your password has been changed.');
	 
				return back();
			}
	 
			$request->session()->flash('failure', 'Your password has not been changed.');
	 
			return back();
        }
		else{
			return view('member/change_password', $data);
		}
 
    }
	
	public function raise_complaint(request $request){
		$data['title']="Log a new complain";
		$data['apartment_id']= $apartment_id= $this->apartment_id;
		$from_user_id = Auth::user()->id;
		
		$data['ApartmentAdmin']= DB::select("SELECT users.id, users.name        
						from users_groups
						left join users
						on (users.id =  users_groups.user_id)
						WHERE users_groups.apartment_id=$apartment_id AND
						users_groups.group_id=2");
		
		
		$maintenanceGroup= DB::table('group_roles')->where('apartment_id',$apartment_id)
						 ->where('group_id',4)
						 ->get();
						 
		$data['maintenance']=$maintenanceGroup;
		
			if($_SERVER['REQUEST_METHOD'] == 'POST'){

				$this->validate($request, [
				'attachmentFile' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
				'descriptions' => 'required',
				'complaint_cat' => 'required'
				]);
				
				$attachmentFile="";
				
				if($file = $request->hasFile('attachmentFile')) {
					$image = $request->file('attachmentFile');			
					$input['attachmentFile'] = time().'.'.$image->getClientOriginalExtension();
					$destinationPath = public_path('/complaint');
					
					$image->move($destinationPath, $input['attachmentFile']);					
					$attachmentFile= $input['attachmentFile'];
					
				}
				
				$complaint_type= $request->get('complaint_type');
				
				$assign_to='admin';
				
				$staff_sms= $request->get('staff_sms');
				$to_maintenance_user=null;
				if($staff_sms){
					$to_maintenance_user= $request->get('assign_to_staff');
				}
				
				$data= array(
					'apartment_id' => $apartment_id,
					'from_user_id' => $from_user_id,
					'assign_to' => $assign_to,
					'to_user_id' => $request->get('assign_to'),
					'to_maintenance_user' => $to_maintenance_user,
					'complaint_nature' => $request->get('complaint_nature'),
					'complaint_type' => $request->get('complaint_type'),
					'complaint_category' => $request->get('complaint_cat'),
					'descriptions' => $request->get('descriptions'),
					'attachment' => $attachmentFile,
					'is_urgent' => ($request->get('is_urgent')) ? 1: 0,
					'current_status'=>'Open',
					'created_on'  => date('Y-m-d H:i:s')
				);
				
				DB::table('complaint_box')->insert($data);				
				return redirect('member/complaints')->with('message','Successfully Sent!'); 

		    }
		
		else{
			return view('member/raise_complaint', $data);
		}
		
	}
	
	public function complaints(){
		$data['title'] = 'Complaints';
        $data['apartment_id']= $apartment_id= $this->apartment_id;
		$from_user_id = Auth::user()->id;
		
        /* $data['complaints']= DB::table('complaint_box')->where('apartment_id',$apartment_id)
						     ->where('from_user_id',$from_user_id)
						     ->get(); */
							 
		$complaints	=DB::select("SELECT complaint_box.*,group_roles.role_name as ctype        
							from complaint_box
							left join group_roles
							on (group_roles.id =  complaint_box.complaint_category)
							WHERE complaint_box.apartment_id=$apartment_id AND
							complaint_box.from_user_id=$from_user_id
							ORDER BY complaint_box.created_on DESC
							"); 
		
        $complaintsData=array();
        if($complaints){
			foreach($complaints as $row){
			  $last_updated =DB::table('complaint_status')->where('complaint_id',$row->id)
			  ->orderBy('id', 'DESC')
			  ->first();
			 
			  $complaintsData[]=array(
			    'id' => $row->id,
				'complaint_nature' => $row->complaint_nature,
				'complaint_type' => $row->complaint_type,
				'complaint_category' => $row->complaint_category,
				'descriptions' => $row->descriptions,
				'attachment' => $row->attachment,
				'is_urgent' => $row->is_urgent,
				'current_status' => $row->current_status,
				'created_on' => $row->created_on,
				'last_updated' => $last_updated->updated_at,
				
				'ctype' => $row->ctype
			  );

			}
		}
		
        $data['complaints']= $complaintsData;
		
		return view('member.complaints', $data);
	}
	
	public function notice_board(){
		
		$data['title'] = 'Current Notices';
        $data['apartment_id']= $apartment_id= $this->apartment_id;
		$from_user_id = Auth::user()->id;
		
		$cDate= date('Y-m-d H:i:s');
        
		/* $data['noticeboard']	= DB::table('notice_board')
		 ->where('apartment_id', $apartment_id)
		 ->where('notice_visible_group', 'members')
		 ->where('expiry_time', '>=', date('Y-m-d H:i:s'))->orderBy('created_at','DESC')->get(); */
		
        /* $data['noticeboard']	= DB::select("SELECT * from notice_board where id IN
		(Select notice_id from notice_users where apartment_id=$apartment_id AND
		 expiry_time >= $cDate AND(user_id=$from_user_id OR user_id=$cUser_id)
		
		
		) */
		
		
		$data['noticeboard'] = DB::select("SELECT * from notice_board where id IN(SELECT notice_id from notice_users where apartment_id=$apartment_id AND
		 expiry_time >= '$cDate' AND user_id=$from_user_id)
		 ORDER BY created_at DESC");
		 
			
		 
		return view('member.noticeboard', $data);
	}
	
	public function expired_notices(){
		
		$data['title'] = 'Expired Notices';
        $data['apartment_id']= $apartment_id= $this->apartment_id;
		$from_user_id = Auth::user()->id;
		
							 
		/* $data['noticeboard']	= DB::table('notice_board')
		  ->where('notice_visible_group', 'members')
		  ->where('apartment_id', $apartment_id)
		  ->where('expiry_time', '<', date('Y-m-d H:i:s'))->orderBy('created_at','DESC')->get();
		 */
		 
		$cDate= date('Y-m-d H:i:s');
		
        $data['noticeboard'] = DB::select("SELECT * from notice_board where id IN(SELECT notice_id from notice_users where apartment_id=$apartment_id AND
		 expiry_time < '$cDate' AND user_id=$from_user_id)
		 ORDER BY created_at DESC ");

		 
		 
		return view('member.noticeboard', $data);
	}
    
	
	public function complaint_info($complaint_id=null){
		$data['title'] = 'Commplaint Details';
        $data['apartment_id']= $apartment_id= $this->apartment_id;
		$from_user_id = Auth::user()->id;
		
		
		
		$data['complaintInfo'] = DB::select("SELECT complaint_box.*,group_roles.role_name as ctype        
							from complaint_box
							left join group_roles
							on (group_roles.id =  complaint_box.complaint_category)
							WHERE complaint_box.apartment_id=$apartment_id AND complaint_box.id=$complaint_id
							AND complaint_box.from_user_id=$from_user_id
							"); 
							
		return view('member.complaint_info', $data);
	}
	public function read_notifications($apartment_id,$user_id){
		 
		   $data= array('is_view' =>1);
				
		   DB::table('notice_users')->where('apartment_id', $apartment_id)
		   ->where('user_id', $user_id)
		   ->update($data);
		  return redirect('member/notice_board');  
	}
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
