<?php
namespace ApnaComplex\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use ApnaComplex\User;
use DB;
class SuperAdminController extends Controller
{
	public function __construct()
    {
        $this->middleware('auth');
		
		$this->middleware(function ($request, $next) {
            $this->userInfo= DB::table('users')->where('id', Auth::id())->first();

            Session(['userInfo' => $this->userInfo]);
					
			$userData= Session('userGroup');			
			
			$group_id= $userData[0]->group_id;
			if($group_id !=1){
				return redirect('/home');
			}
			 
            return $next($request);
        });
		
    }
     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {    
	    //$data['title'] = 'Dashboard';
         
		//return view('superAdmin.index', $data);
		return redirect('superadmin/profile');
    }
    
	public function profile(){
		$data['title'] = 'Profile';
        $data['userInfo']= $this->userInfo;
        
		return view('superAdmin.profile', $data);
	}
	
	public function edit_profile(){
		$data['title'] = 'Edit Profile';
        $data['userInfo']=$this->userInfo; 		 
		return view('superAdmin.edit_profile', $data);
		
	}
	
	public function edit_profile_post(Request $request){ 
	
	    
		$data['title'] = 'Edit Profile';
        
		$this->validate($request, [
            'image' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
			'city' => 'required',
        ]);
		
		$user_id=  Auth::id();
		$imgPath=$request->get('hiddenUserImage');
        if($file = $request->hasFile('image')) {
			$image = $request->file('image');
			
			$input['imagename'] = time().'.'.$image->getClientOriginalExtension();
			$destinationPath = public_path('/images');
			$image->move($destinationPath, $input['imagename']);
			$imgPath= $input['imagename'];
			
			$userProfile= $this->userInfo;
			$userImg= $userProfile->userimage;
			
			if($userImg){
				if(file_exists(public_path("images/$userImg"))){
				  unlink(public_path("images/$userImg"));
				}
			}
        }
		
		$data= array('userimage' => $imgPath,
				'city' => $request->get('city'),				
				'pincode'=>    $request->get('pincode'),
				'mobile'  => $request->get('mobile'));
				
		DB::table('users')->where('id', $user_id)->update($data); 
        
		
        return redirect('superadmin/profile')->with('message','Updated successfully!');
		
	}
	
	public function apartments(){
		$data['title'] = 'Add Apartment';
		$apartmentList=  DB::table('apartments')->get();
		$adminarray= array();
		
		if($apartmentList){
			foreach($apartmentList as $row){
				
				$adminlist= DB::select("
				SELECT * FROM users
                WHERE id IN (SELECT user_id FROM users_groups WHERE apartment_id = $row->id AND group_id=2)");
				
			    $adminarray[]=array(
				  'apartment'=>$row,
				  'admin'=>$adminlist
				);	
			}
		}
		$data['apartments']=$adminarray;
		
		return view('superAdmin.apartments', $data);
	}
	
	public function add_apartment(){
		$data['title'] = 'Add Apartment';
		return view('superAdmin.add_apartment', $data);
		
	}
	
	public function add_apartment_submit(Request $request){ 
		
		$data['title'] = 'Add Apartment';
        
		$this->validate($request, [
            'apartment_logo' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
			'apartment_picture' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
			'apartment_name' => 'required',
			'city' => 'required',
        ]);
		
		$apartment_picture="";
		$apartment_logo="";
        if($file = $request->hasFile('apartment_logo')) {
			$image = $request->file('apartment_logo');			
			$input['logo'] = time().'.'.$image->getClientOriginalExtension();
			$destinationPath = public_path('/apartments/logo');
			$image->move($destinationPath, $input['logo']);
			
			$apartment_logo= $input['logo'];
			
        }
		
		if($file = $request->hasFile('apartment_picture')) {
			$image = $request->file('apartment_picture');
			
			$input['picture'] = time().'.'.$image->getClientOriginalExtension();
			$destinationPath = public_path('/apartments/picture');
			$image->move($destinationPath, $input['picture']);
			$apartment_picture= $input['picture'];
			
        }
		
		$data= array(
			'apartment_name' => $request->get('apartment_name'),
			'address' => $request->get('address'),
			'locality' => $request->get('locality'),
			'state' => $request->get('state'),
			'city' => $request->get('city'),
			'descriptions' => $request->get('descriptions'),
			
			'construction_status' => $request->get('construction_status'),				
			'apartment_picture'=> $apartment_picture,
			'apartment_logo'=> $apartment_logo,
			'status'  => $request->get('status'),
			'creaded_on'  => date('Y-m-d H:i:s')
		);
		
		DB::table('apartments')->insert($data);
		
        return redirect('superadmin/apartments')->with('message','Successfully added!');
	}
	
	public function edit_apartment($id, Request $request){ 
		
		$data['apartmentInfo']= DB::table('apartments')->where('id', $id)->first();
		$data['id']=$id;
		$data['title'] = 'Add Apartment'; 
         if ($_SERVER['REQUEST_METHOD'] == 'POST'){
			$this->validate($request, [
				'apartment_logo' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
				'apartment_picture' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
				'apartment_name' => 'required',
				'city' => 'required',
			]);
			
			$apartment_picture=$data['apartmentInfo']->apartment_picture;
			$apartment_logo= $data['apartmentInfo']->apartment_logo;
			if($file = $request->hasFile('apartment_logo')) {
				$image = $request->file('apartment_logo');			
				$input['logo'] = time().'.'.$image->getClientOriginalExtension();
				$destinationPath = public_path('/apartments/logo');
				$image->move($destinationPath, $input['logo']);
				
				if($apartment_logo){
					if(file_exists(public_path("apartments/logo/$apartment_logo"))){
					  unlink(public_path("apartments/logo/$apartment_logo"));

					}
				}	
				
				$apartment_logo= $input['logo'];
				
			}
			
			if($file = $request->hasFile('apartment_picture')) {
				$image = $request->file('apartment_picture');
				
				$input['picture'] = time().'.'.$image->getClientOriginalExtension();
				$destinationPath = public_path('/apartments/picture');
				$image->move($destinationPath, $input['picture']);
				
				if($apartment_picture){
					if(file_exists(public_path("apartments/picture/$apartment_picture"))){
					  unlink(public_path("apartments/picture/$apartment_picture"));

					}
				}
				
				$apartment_picture= $input['picture'];
			}
			
			$data= array(
				'apartment_name' => $request->get('apartment_name'),
				'address' => $request->get('address'),
				'locality' => $request->get('locality'),
				'state' => $request->get('state'),
				'city' => $request->get('city'),
				'descriptions' => $request->get('descriptions'),
				
				'construction_status' => $request->get('construction_status'),				
				'apartment_picture'=> $apartment_picture,
				'apartment_logo'=> $apartment_logo,
				'status'  => $request->get('status'),
				'creaded_on'  => date('Y-m-d H:i:s')
			);
			
			DB::table('apartments')->where('id', $id)->update($data); 
            return redirect('superadmin/apartments')->with('message','Updated successfully!');
			
		}
		else{
			return view('superAdmin.edit_apartment', $data);
		}
	}
	
	public function add_apartmentadmin($id, Request $request)
    {
		$data['id']=$id;
		$data['title'] = 'Add Apartment Admin';
		
		if($_SERVER['REQUEST_METHOD'] == 'POST'){ 
		    $this->validate($request, [
				'name' => 'required|string|max:255',
				'email' => 'required|string|email|max:255|unique:users',
				'password' => 'required|string|min:6|confirmed',
				'mobile' => 'min:10',
            ]);
		 
			$username= uniqid($request->get('name'));
            
			$userData=  User::create([
				'name' => $request->get('name'),
				'username'=>$username,
				'email' => $request->get('email'),
				'password' => bcrypt($request->get('password')),
				'city' => $request->get('city'),
				'pincode' => $request->get('pincode'),
				'mobile' => $request->get('mobile'),
				'activationcode' => null,
				'userimage'=>null,
				'created_at'=> date('Y-m-d H:i:s'),
				'updated_at'=> date('Y-m-d H:i:s'),
				'status' => 1		
			]);			
				
			
			
			if(!empty($userData)){
				
				$data= array(
					'group_id' => $request->get('group_id'),
					'apartment_id' => $id,
					'user_id' => $userData->id,
					'member_role_id'    => 0,
					'maintenance_role_id' =>0,			
				);
				
				
			   DB::table('users_groups')->insert($data);
			   
			   $userData['grouData']=$data;
			}
            
			return redirect('superadmin/apartments')->with('message','Admin addded successfully!');
		} 
		 
		else{
			return view('superAdmin/add_apartmentadmin', $data);
		} 
    }
	
	public function delete_user($id=null){
		DB::table('users')->where('id', $id)->delete();
        DB::table('users_groups')->where('user_id', $id)->delete();
        return redirect('superadmin/apartments')->with('message','Admin addded successfully!');		
	}
	
	public function change_password(Request $request)
    {
		$data['title']="Change Password";
		
		if($_SERVER['REQUEST_METHOD'] == 'POST'){ 
			$this->validate($request, [
				'old' => 'required',
				'password' => 'required|min:6|confirmed',
			]);
	 
			$user = User::find(Auth::id());
			$hashedPassword = $user->password;
	 
			if (Hash::check($request->old, $hashedPassword)) {
				//Change the password
				$user->fill([
					'password' => Hash::make($request->password)
				])->save();
	 
				$request->session()->flash('success', 'Your password has been changed.');
	 
				return back();
			}
	 
			$request->session()->flash('failure', 'Your password has not been changed.');
	 
			return back();
        }
		else{
			return view('superAdmin/change_password', $data);
		}
 
    }
	
	
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
