<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>{{ config('app.name', 'MyComplex') }} | Dashboard</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{ asset('panel') }}/bower_components/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{ asset('panel') }}/bower_components/font-awesome/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{ asset('panel') }}/bower_components/Ionicons/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{ asset('panel') }}/dist/css/AdminLTE.min.css">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{ asset('panel') }}/dist/css/skins/_all-skins.min.css">
  <!-- Morris chart -->
  
  <!-- jvectormap -->
  <link rel="stylesheet" href="{{ asset('panel') }}/bower_components/jvectormap/jquery-jvectormap.css">
  <!-- Date Picker -->
  <link rel="stylesheet" href="{{ asset('panel') }}/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="{{ asset('panel') }}/bower_components/bootstrap-daterangepicker/daterangepicker.css">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{ asset('panel') }}/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">

  <link rel="stylesheet" href="{{ asset('panel') }}/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css">
  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  
   <meta name="csrf-token" content="{{ csrf_token() }}">
   <style>
   .error{
	   color:red
   }
   .success{
	   color:green;
   }
   .table, th, td{
	       font-size: 13px !important;
		   font-weight:normal;
		  
    }
	.customForm label{
		text-align: left !important;
	}
   </style>
   
</head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  <header class="main-header">
    <!-- Logo -->
    <a href="<?php echo action('ApartmentAdminController@index'); ?>" class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini">{{ config('app.name', 'MyComplex') }}</span>
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg">{{ config('app.name', 'MyComplex') }}</span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>

      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
         <?php  $userInfo= Session('userInfo'); ?>
          <!-- User Account: style can be found in dropdown.less -->
          <li class="dropdown user user-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <?php    
				if(!$userInfo->userimage) { ?>
				  <img  src="{{asset('default_avatar.png')}}" class="user-image" alt="User Image">	
			   <?php } else { ?>
				  <img  src="{{asset('images')}}/{{$userInfo->userimage}}" class="user-image" alt="User Image">
			   <?php } ?>
              <span class="hidden-xs"><?php echo $userInfo->name ?></span>
            </a>
            <ul class="dropdown-menu">
              <!-- User image -->
              <li class="user-header">
                 <?php 
				    if(!$userInfo->userimage) { ?>
					  <img  src="{{asset('default_avatar.png')}}" class="img-circle" alt="User Image">	
				   <?php } else { ?>
					  <img  src="{{asset('images')}}/{{$userInfo->userimage}}" class="img-circle" alt="User Image">
				   <?php } ?>	
                <p>
                 <?php echo $userInfo->name ?> 
                  <!--<small>Member since Nov. 2012</small>-->
                </p>
              </li>
              
              <!-- Menu Footer-->
              <li class="user-footer">
                <div class="pull-left">
                  <a href="{{url('apartmentadmin/profile')}}" class="btn btn-default btn-flat">Profile</a>
                </div>
                <div class="pull-right">                 
				    <a class="btn btn-default btn-flat" href="{{ route('logout') }}" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();" >
                            Log Out <i style="margin-top: 5px;" class="fa fa-sign-out pull-right"></i>
                    </a>
					
					<form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
										{{ csrf_field() }}
					</form>
                </div>
              </li>
            </ul>
          </li>
          <!-- Control Sidebar Toggle Button -->
          
        </ul>
      </div>
    </nav>
  </header>
  <!-- Left side column. contains the logo and sidebar -->
  <aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
      <!-- Sidebar user panel -->
      <div class="user-panel">
        <div class="pull-left image">
          <?php    
			if(!$userInfo->userimage) { ?>
			  <img  src="{{asset('default_avatar.png')}}" class="img-circle" alt="User Image">	
		   <?php } else { ?>
			  <img  src="{{asset('images')}}/{{$userInfo->userimage}}" class="img-circle" alt="User Image">
		   <?php } ?>
        </div>
        <div class="pull-left info">
          <p><?php echo $userInfo->name ?></p>
		  <p> Apartment Admin</p>
          <!--<a href="#"><i class="fa fa-circle text-success"></i> Online</a>-->
        </div>
      </div>
      <!-- search form -->
      <!--<form action="#" method="get" class="sidebar-form">
        <div class="input-group">
          <input type="text" name="q" class="form-control" placeholder="Search...">
          <span class="input-group-btn">
                <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                </button>
              </span>
        </div>
      </form>-->
      <!-- /.search form -->
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" data-widget="tree">
        <li class="header">MAIN NAVIGATION</li>
        <li class="active treeview">
          <a href="#">
            <i class="fa fa-home"></i> <span>Home</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
			  <li><a href="{{url('apartmentadmin')}}"><i class="fa fa-circle-o"></i>Dashboard</a></li>
               <li><a href="{{url('apartmentadmin/profile')}}"><i class="fa fa-circle-o"></i>My Profile</a></li>
               <li><a href="{{url('apartmentadmin/change_password')}}"><i class="fa fa-circle-o"></i>Change Password</a></li>
          </ul>
        </li>
		
		<li class="treeview">
          <a href="#">
            <i class="fa fa-comments-o"></i> <span>Forums</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
             <li><a href="{{url('apartmentadmin/noticeboard/1')}}"><i class="fa fa-circle-o"></i>Noticeboard</a></li>
          </ul>
        </li>
		
		<li class="treeview">
          <a href="#">
            <i class="fa fa-wrench"></i> <span>Helpdesk</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
             <li><a href="{{url('apartmentadmin/complaints')}}"><i class="fa fa-circle-o"></i>Complaint Box</a></li>
          </ul>
        </li>
		<!--
		<li class="treeview">
          <a href="#">
            <i class="fa fa-shield"></i> <span>Gatekeeper</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
             <li><a href="#"><i class="fa fa-circle-o"></i>Maintenance Staff</a></li>
          </ul>
        </li>
		-->
		<li class="treeview">
          <a href="#">
            <i class="fa fa-list"></i> <span>Directory</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
            <li><a href="#"><i class="fa fa-circle-o"></i>Members</a></li>
            <li><a href="#"><i class="fa fa-circle-o"></i>Add Members</a></li>     
            <li><a href="#"><i class="fa fa-circle-o"></i>Upload Members</a></li>
            <!--<li><a href="#"><i class="fa fa-circle-o"></i>Maintenance Staff</a></li>--> 
          </ul>
        </li>
		
		<li class="treeview">
          <a href="#">
            <i class="glyphicon glyphicon-cog"></i> <span>Complex</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
			  <li><a href="{{url('apartmentadmin/block')}}"><i class="fa fa-circle-o"></i>Setup Blocks</a></li>                        
			  <li><a href="{{url('apartmentadmin/units')}}"><i class="fa fa-circle-o"></i>Residential Unit</a></li>
			 
          </ul>
        </li>
        
       
      </ul>
    </section>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Dashboard
        <!--<small>Control panel</small>-->
      </h1>
      <ol class="breadcrumb">
        <li><a href="<?php echo action('ApartmentAdminController@index'); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <!--<li class="active">Dashboard</li>-->
      </ol>
    </section>
  
    <!-- Main content -->
    <section class="content">
       <input type="hidden" id="base_url" value="{{url('')}}"/>
       @yield('content')
       
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <div class="pull-right hidden-xs">
      <b>Version</b> 2.4.0
    </div>
     <strong>Copyright &copy; <?php echo date('Y'); ?> <a href="https://adminlte.io">{{ config('app.name', 'MyComplex') }}</a>.</strong> All rights
    reserved.
  </footer>

  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- jQuery 3 -->
<script src="{{ asset('panel') }}/bower_components/jquery/dist/jquery.min.js"></script>
<!-- jQuery UI 1.11.4 -->
<script src="{{ asset('panel') }}/bower_components/jquery-ui/jquery-ui.min.js"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button);
</script>
<script>
    $(document).ready(function($){
		var path = window.location.href;
		$('.treeview-menu li a[href="'+path+'"]').addClass('active');
		
		$('.treeview-menu li a[href="'+path+'"]').parent('li').parent('ul').parent('li').addClass('active menu-open');
		$('.treeview-menu li a[href="'+path+'"]').parent().addClass("active");
		
	});
	
</script>
<!-- Bootstrap 3.3.7 -->
<script src="{{ asset('panel') }}/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
<!-- Morris.js charts -->
<script src="{{ asset('panel') }}/bower_components/raphael/raphael.min.js"></script>
<!-- Sparkline -->
<script src="{{ asset('panel') }}/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js"></script>
<!-- jvectormap -->
<script src="{{ asset('panel') }}/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
<script src="{{ asset('panel') }}/plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
<!-- jQuery Knob Chart -->
<script src="{{ asset('panel') }}/bower_components/jquery-knob/dist/jquery.knob.min.js"></script>
<!-- daterangepicker -->
<script src="{{ asset('panel') }}/bower_components/moment/min/moment.min.js"></script>
<script src="{{ asset('panel') }}/bower_components/bootstrap-daterangepicker/daterangepicker.js"></script>
<!-- datepicker -->
<script src="{{ asset('panel') }}/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>
<!-- Bootstrap WYSIHTML5 -->
<script src="{{ asset('panel') }}/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>
<!-- Slimscroll -->
<script src="{{ asset('panel') }}/bower_components/jquery-slimscroll/jquery.slimscroll.min.js"></script>
<!-- FastClick -->
<script src="{{ asset('panel') }}/bower_components/fastclick/lib/fastclick.js"></script>
<!-- AdminLTE App -->
<script src="{{ asset('panel') }}/dist/js/adminlte.min.js"></script>

<script src="{{ asset('panel') }}/dist/js/demo.js"></script>

<script src="{{ asset('panel') }}/bower_components/datatables.net/js/jquery.dataTables.min.js"></script>
<script src="{{ asset('panel') }}/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
<script src="{{ asset('panel') }}/bower_components/ckeditor/ckeditor.js"></script>
<script>
  $(function () {
    $('#example1').DataTable({
	  'paging'      : true,
      'lengthChange': true,
      'searching'   : true,
      'ordering'    : false,
      'info'        : true
		
	})
    $('#example2').DataTable({
      'paging'      : true,
      'lengthChange': true,
      'searching'   : true,
      'ordering'    : true,
      'info'        : true
	  
    })
  })
</script>
<script>
  $(function () {
    // Replace the <textarea id="editor1"> with a CKEditor
    // instance, using default configuration.
    CKEDITOR.replace('editor1')
    //bootstrap WYSIHTML5 - text editor
    //$('.textarea').wysihtml5()
  })
</script>

@yield('pagescript')

</body>
</html>
